----------------------------
-- Localized Library Namespace
----------------------------
local config = LibStub("AceConfig-3.0")
local dialog = LibStub("AceConfigDialog-3.0")
local cmd    = LibStub("AceConfigCmd-3.0")
--local reg    = LibStub("AceConfigRegistry-3.0")

----------------------------
-- Localized Addon Namespace
----------------------------
local private = select(2, ...)
local addon = LibStub("AceAddon-3.0"):GetAddon(private.addonName)

-- Option Interface
local options = {
  name    = private.addonName,
  handler = addon,
  type    = "group",
  args    = {
  },
}

function addon:Config()
  config:RegisterOptionsTable(private.addonName, options)
  private.optionsFrame = dialog:AddToBlizOptions(private.addonName, private.addonName)
  private.optionsFrame["About"] = LibStub("LibAboutPanel").new(private.addonName, private.addonName)
  
  addon:RegisterChatCommand("sg", "ChatCommand")
  addon:RegisterChatCommand("skillguide", "ChatCommand")
end

----------------------------
-- Callbacks
----------------------------
function addon:ChatCommand(input)
  if not input or input:trim() == "" then
    InterfaceOptionsFrame_OpenToCategory(private.optionsFrame)
  elseif input:trim() == "about" or input == "about" then
    InterfaceOptionsFrame_OpenToCategory(private.optionsFrame["About"])
  else
    cmd:HandleCommand("sg", "skillguide", input)
  end
end
